org.apache.xerces.impl.dv.dtd

## Class IDREFDatatypeValidator

- java.lang.Object
- - org.apache.xerces.impl.dv.dtd.IDREFDatatypeValidator

- All Implemented Interfaces:
    DatatypeValidator
  Direct Known Subclasses:
    XML11IDREFDatatypeValidator

      public class IDREFDatatypeValidator
      extends java.lang.Object
      implements DatatypeValidator

  IDREFDatatypeValidator - represents the IDREFS attribute type from XML 1.0 recommendation. The Value Space of IDREF is the set of all strings that match the NCName production and have been used in an XML Document as the value of an element or attribute of Type ID. The Lexical space of IDREF is the set of strings that match the NCName production.

  The Value space of IDREF is scoped to a specific instance document

  Version:
    $Id: IDREFDatatypeValidator.java 699902 2008-09-28 21:40:49Z mrglavas $
  Author:
    Jeffrey Rodriguez, IBM, Sandy Gao, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDREFDatatypeValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid IDREF value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IDREFDatatypeValidator

          public IDREFDatatypeValidator()

  - ### Method Detail

    - #### validate

          public void validate(java.lang.String content,
                      ValidationContext context)
                        throws InvalidDatatypeValueException

      Checks that "content" string is valid IDREF value. If invalid a Datatype validation exception is thrown.
      Specified by:
        `validate` in interface `DatatypeValidator`
      Parameters:
        `content` - the string value that needs to be validated
        `context` - the validation context
      Throws:
        `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
        `InvalidDatatypeValueException`
      See Also:
        `InvalidDatatypeValueException`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.